public class User {
    String connectionID;
    String username;
    String password;
    int timesPlayed;
    int winPercentage;
    int currentStreak;
    int maxStreak;
    int lastDayWOTDFinished;
    int state;
    int wins;
    int [] wonInTurn;
    Game game;

    public User (String pConnectionID){
        connectionID =pConnectionID;
        game = new Game();
    }
    
    public Game getGame(){
        return game;
    }
    
    public String getConnectionID() {
        return connectionID;
    }

    public int getCurrentStreak() {
        return currentStreak;
    }

    public int getLastDayWOTDFinished() {
        return lastDayWOTDFinished;
    }

    public int getMaxStreak() {
        return maxStreak;
    }

    public int getTimesPlayed() {
        return timesPlayed;
    }

    public int getState() {
        return state;
    }

    public int getWinPercentage() {
        return winPercentage;
    }

    public int[] getWonInTurn() {
        return wonInTurn;
    }

    public String getPassword() {
        return password;
    }

    public String getUsername() {
        return username;
    }

    public void setConnectionID(String connectionID) {
        this.connectionID = connectionID;
    }

    public void setCurrentStreak(int currentStreak) {
        this.currentStreak = currentStreak;
    }

    public void setLastDayWOTDFinished(int lastDayWOTDFinished) {
        this.lastDayWOTDFinished = lastDayWOTDFinished;
    }

    public void setMaxStreak(int maxStreak) {
        this.maxStreak = maxStreak;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setState(int state) {
        this.state = state;
    }

    public void setTimesPlayed(int timesPlayed) {
        this.timesPlayed = timesPlayed;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public void setWinPercentage(int winPercentage) {
        this.winPercentage = winPercentage;
    }

    public void setWonInTurn(int[] wonInTurn) {
        this.wonInTurn = wonInTurn;
    }
}
